export * from './base';
export * from './explorer';
export * from './assistant';
export * from './sidebar';
export { baseTheme, sidebarBaseTheme, darkThemeVariables, createTheme, } from './base';
export { explorerTheme, explorerThemeVariables } from './explorer';
export { assistantTheme, assistantThemeVariables } from './assistant';
export { sidebarTheme, sidebarThemeVariables } from './sidebar';
import type { Extension } from '@codemirror/state';
export declare function createCompleteTheme(options: {
    dark?: boolean;
    variables?: Record<string, string>;
}): Extension[];
